Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517988 - =media-libs/xine-lib-1.2.6: stabilize (was: media-libs/xine-lib-1.2.3 - error: implicit declaration of function 'av_free')
Summary: =media-libs/xine-lib-1.2.6: stabilize (was: media-libs/xine-lib-1.2.3 - error...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 519886
  Show dependency tree
 
Reported: 2014-07-24 15:29 UTC by Toralf Förster
Modified: 2015-05-17 20:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/log/portage/media-libs:xine-lib-1.2.3:20140724-152511.log.gz (media-libs:xine-lib-1.2.3:20140724-152511.log.gz.gz,27.91 KB, application/gzip)
2014-07-24 15:29 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2014-07-24 15:29:41 UTC
yesterday I got ~100 packages (mostly gnome/gtk/gstreamer related) to update,
today an "emerge depclean" told me, that there are preserved libs, and 1 of the 8 packages now fails

Reproducible: Always




tfoerste@n22 ~ $ emerge --info xine-lib
Portage 2.2.8-r1 (default/linux/x86/13.0/desktop/kde, gcc-4.8.3, glibc-2.17, 3.15.6 i686)
=================================================================
                        System Settings
=================================================================                                                                                      
System uname: Linux-3.15.6-i686-Intel-R-_Core-TM-_i5-2540M_CPU_@_2.60GHz-with-gentoo-2.2
KiB Mem:     8173180 total,   4026436 free
KiB Swap:    9767516 total,   9757900 free
Timestamp of tree: Thu, 24 Jul 2014 14:45:01 +0000
ld GNU ld (Gentoo 2.23.2 p1.0) 2.23.2
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.3
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo toralf
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/var/lib/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going=y --nospinner --tree --quiet-build --deep"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirror.qubenet.net/mirror/gentoo/ http://mirror.bytemark.co.uk/gentoo/ http://gd.tuwien.ac.at/opsys/linux/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa apache2 berkdb bittorrent branding bzip2 cairo cdda cdr classic cli consolekit corefonts cracklib crypt css cups cxx dbus declarative dri dts dvb dvd dvdr emboss encode exif fam fastbuild ffmpeg firefox flac fontconfig fortran g3dvl gdbm gif git gmp gnuplot gphoto2 gpm gtk hyphenation icedtea7 iconv ipv6 isag java jpeg kde kipi kqemu kvm lcms libnotify logrotate mad mbox mmx mng modules mp3 mp4 mpeg mysql mysqli ncurses nls nptl nsplugin ntfs ogg opengl openmp pam pango pcre pdf phonon pkcs11 plasma png policykit ppds qemu qt3support qt4 rdesktop readline sdl session sna spell spice sse sse2 sse4_1 ssl ssse3 startup-notification svg tcpd thinkpad threads tiff tk transparent-proxy truetype udev udisks uml unicode upower usb uxa v4l vaapi vim-syntax vnc vorbis wxwidgets x264 x86 xa xattr xcb xcomposite xinerama xml xpm xscreensaver xv xvid xvmc zlib" ABI_X86="32" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" LIRC_DEVICES="devinput" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-libs/xine-lib-1.2.3 was built with the following:
USE="X a52 aac alsa css dts dvb flac gtk ipv6 jpeg mad mmap mng nls opengl sdl truetype v4l vaapi vorbis xcb xinerama xv xvmc -aalib (-altivec) -bluray -directfb -dxr3 -fbcon -fusion -imagemagick -jack -libcaca -modplug -musepack -oss -pulseaudio -samba -speex -theora -vcd -vdpau -vdr -vidix (-vis) -wavpack"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer"
Comment 1 Toralf Förster gentoo-dev 2014-07-24 15:29:54 UTC
Created attachment 381500 [details]
/var/log/portage/media-libs:xine-lib-1.2.3:20140724-152511.log.gz
Comment 2 Rafał Mużyło 2014-07-24 18:41:02 UTC
Given 'error: implicit declaration of function 'av_free'', this might be a stable request for xine-lib 1.2.6.
Comment 3 Toralf Förster gentoo-dev 2014-07-24 19:02:53 UTC
(In reply to Rafał Mużyło from comment #2)
> Given 'error: implicit declaration of function 'av_free'', this might be a
> stable request for xine-lib 1.2.6.

1.2.6 emerged fine at x86
Comment 4 Alex Xu (Hello71) 2014-07-25 12:14:42 UTC
Please run emerge -Opv ffmpeg libav and submit the results as a comment.
Comment 5 Toralf Förster gentoo-dev 2014-07-25 15:20:53 UTC
(In reply to Alex Xu (Hello71) from comment #4)
> Please run emerge -Opv ffmpeg libav and submit the results as a comment.

n22 ~ # emerge -Opv ffmpeg libav
 * --tree is broken with --nodeps. Disabling...

These are the packages that would be merged, in order:

[ebuild   R    ] virtual/ffmpeg-9-r1  USE="X encode mp3 sdl threads truetype vaapi x264 -gsm -jpeg2k -opus -speex -theora -vdpau" 0 kB
[ebuild   R    ] media-video/libav-9.14:0/9  USE="X aac alsa bzip2 encode gpl hardcoded-tables mmx mp3 network sdl ssl ssse3 threads truetype v4l vaapi vorbis x264 xvid zlib -3dnow -3dnowext (-altivec) -amr -avx -bindist -cdio -cpudetection -custom-cflags -debug -doc -faac -fdk -frei0r -gsm -ieee1394 -jack -jpeg2k -mmxext (-neon) -openssl -opus -oss -pic -pulseaudio -rtmp -schroedinger -speex -static-libs {-test} -theora -tools -vdpau (-vis) -vpx" 0 kB

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB
Comment 6 Samuli Suominen gentoo-dev 2014-07-25 19:02:27 UTC
(In reply to Rafał Mużyło from comment #2)
> this might be a stable request for xine-lib 1.2.6.

yes
Comment 7 Bob Johnson 2014-07-29 18:15:24 UTC
Same problem on stable amd64 (naturally). Requires compiling without vaapi USE flag on media-libs/xine-lib-1.2.3, or upgrading to media-libs/xine-lib-1.2.6. The latter works fine for me on amd64. FYI.
Comment 8 Samuli Suominen gentoo-dev 2014-07-29 18:49:12 UTC
(In reply to Bob Johnson from comment #7)
> Same problem on stable amd64 (naturally). Requires compiling without vaapi
> USE flag on media-libs/xine-lib-1.2.3, or upgrading to
> media-libs/xine-lib-1.2.6. The latter works fine for me on amd64. FYI.

No need for such commenting. We already estabilished this bug is now for stabilization of 1.2.6 in Comment #6
Comment 9 Jeroen Roovers gentoo-dev 2014-08-07 19:53:53 UTC
Stable for HPPA.
Comment 10 Samuli Suominen gentoo-dev 2014-08-22 11:39:24 UTC
This stabilization will fix compile error bug 519886 as well. Adding to "Blocks: "
Comment 11 Samuli Suominen gentoo-dev 2014-08-22 11:41:11 UTC
marked stable for amd64/x86
Comment 12 Agostino Sarubbo gentoo-dev 2015-03-02 09:39:22 UTC
ppc stable
Comment 13 Pacho Ramos gentoo-dev 2015-05-17 20:13:04 UTC
ppc64 stable, closing